org.apache.avro.ipc.stats

## Class StatsServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.avro.ipc.stats.StatsServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class StatsServlet
    extends javax.servlet.http.HttpServlet

Exposes information provided by a StatsPlugin as a web page. This class follows the same synchronization conventions as StatsPlugin, to avoid requiring StatsPlugin to serve a copy of the data.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`class` `StatsServlet.RenderableMessage`

### Constructor Summary

Constructors
Constructor and Description
`StatsServlet(StatsPlugin statsPlugin)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
`protected static List<String>` `escapeStringArray(List<String> input)`
`void` `writeStats(Writer w)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatsServlet

    public StatsServlet(StatsPlugin statsPlugin)
                 throws javax.servlet.UnavailableException

Throws:
  `javax.servlet.UnavailableException`

### Method Detail

#### escapeStringArray

    protected static List<String> escapeStringArray(List<String> input)

#### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest req,
                         javax.servlet.http.HttpServletResponse resp)
                  throws javax.servlet.ServletException,
                         IOException

Overrides:
  `doGet` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`

#### writeStats

    public void writeStats(Writer w)
                    throws IOException

Throws:
  `IOException`